gr::ieee802_15_4::multiuser_chirp_detector_cc Class Reference

<+description of block+> More...

`#include <multiuser_chirp_detector_cc.h>`

Inheritance diagram for gr::ieee802_15_4::multiuser_chirp_detector_cc:
[legend]

## Public Types

typedef boost::shared_ptr< multiuser_chirp_detector_cc > | sptr

## Static Public Member Functions

static sptr | make (std::vector< gr_complex > chirp_seq, int time_gap_1, int time_gap_2, int len_subchirp, float threshold)
| Return a shared_ptr to a new instance of ieee802_15_4::multiuser_chirp_detector_cc. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<multiuser_chirp_detector_cc> gr::ieee802_15_4::multiuser_chirp_detector_cc::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::multiuser_chirp_detector_cc::make | ( | std::vector< gr_complex > | chirp_seq,
|  | int | time_gap_1,
|  | int | time_gap_2,
|  | int | len_subchirp,
|  | float | threshold
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::multiuser_chirp_detector_cc.

To avoid accidental use of raw pointers, ieee802_15_4::multiuser_chirp_detector_cc's constructor is in a private implementation class. ieee802_15_4::multiuser_chirp_detector_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- multiuser_chirp_detector_cc.h